import { defineComponent as c, toRefs as a, openBlock as m, createElementBlock as g, createVNode as t, unref as o, createElementVNode as n } from "vue";
import e from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const p = { class: "com_11" }, u = { class: "com_11_right" }, d = { class: "com_11_right_bottom" }, h = c({ name: "EComponent11" }), x = /* @__PURE__ */ c({
  ...h,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(i) {
    const s = i, { titleConfig: r, imageConfig: f, valueConfig: l, unitConfig: _ } = a(s.chartConfig.option);
    return (C, y) => (m(), g("div", p, [
      t(e, {
        type: "img",
        config: o(f)
      }, null, 8, ["config"]),
      n("div", u, [
        t(e, {
          type: "text",
          config: o(r),
          class: "title"
        }, null, 8, ["config"]),
        n("div", d, [
          t(e, {
            type: "number",
            config: o(l),
            class: "number"
          }, null, 8, ["config"]),
          t(e, {
            type: "text",
            config: o(_),
            class: "unit"
          }, null, 8, ["config"])
        ])
      ])
    ]));
  }
});
export {
  x as default
};
